<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>plot package &#8212; plot 0.1.0.post1.dev3+g95a57f2.d20230908 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=233b9934" />
    <script src="../_static/documentation_options.js?v=3301bed8"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="prev" title="plot" href="modules.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="plot-package">
<h1>plot package<a class="headerlink" href="#plot-package" title="Link to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Link to this heading">¶</a></h2>
</section>
<section id="module-plot.plot">
<span id="plot-plot-module"></span><h2>plot.plot module<a class="headerlink" href="#module-plot.plot" title="Link to this heading">¶</a></h2>
<p>This is a skeleton file that can serve as a starting point for a Python
console script. To run this script uncomment the following lines in the
<code class="docutils literal notranslate"><span class="pre">[options.entry_points]</span></code> section in <code class="docutils literal notranslate"><span class="pre">setup.cfg</span></code>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">console_scripts</span> <span class="o">=</span>
     <span class="n">fibonacci</span> <span class="o">=</span> <span class="n">plot</span><span class="o">.</span><span class="n">skeleton</span><span class="p">:</span><span class="n">run</span>
</pre></div>
</div>
<p>Then run <code class="docutils literal notranslate"><span class="pre">pip</span> <span class="pre">install</span> <span class="pre">.</span></code> (or <code class="docutils literal notranslate"><span class="pre">pip</span> <span class="pre">install</span> <span class="pre">-e</span> <span class="pre">.</span></code> for editable mode)
which will install the command <code class="docutils literal notranslate"><span class="pre">fibonacci</span></code> inside your current environment.</p>
<p>Besides console scripts, the header (i.e. until <code class="docutils literal notranslate"><span class="pre">logger</span></code>…) of this file can
also be used as template for Python modules.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>This file can be renamed depending on your needs or safely removed if not needed.</p>
</div>
<p class="rubric">References</p>
<ul class="simple">
<li><p><a class="reference external" href="https://setuptools.pypa.io/en/latest/userguide/entry_point.html">https://setuptools.pypa.io/en/latest/userguide/entry_point.html</a></p></li>
<li><p><a class="reference external" href="https://pip.pypa.io/en/stable/reference/pip_install">https://pip.pypa.io/en/stable/reference/pip_install</a></p></li>
</ul>
<dl class="py exception">
<dt class="sig sig-object py" id="plot.plot.RecognizedException">
<em class="property"><span class="pre">exception</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">plot.plot.</span></span><span class="sig-name descname"><span class="pre">RecognizedException</span></span><a class="reference internal" href="../_modules/plot/plot.html#RecognizedException"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#plot.plot.RecognizedException" title="Link to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3.11/library/exceptions.html#Exception" title="(in Python v3.11)"><code class="xref py py-class docutils literal notranslate"><span class="pre">Exception</span></code></a></p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="plot.plot.create_figure_and_axes">
<span class="sig-prename descclassname"><span class="pre">plot.plot.</span></span><span class="sig-name descname"><span class="pre">create_figure_and_axes</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">args</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/plot/plot.html#create_figure_and_axes"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#plot.plot.create_figure_and_axes" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="plot.plot.despine">
<span class="sig-prename descclassname"><span class="pre">plot.plot.</span></span><span class="sig-name descname"><span class="pre">despine</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">args</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/plot/plot.html#despine"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#plot.plot.despine" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="plot.plot.load_dataframe">
<span class="sig-prename descclassname"><span class="pre">plot.plot.</span></span><span class="sig-name descname"><span class="pre">load_dataframe</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">args</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/plot/plot.html#load_dataframe"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#plot.plot.load_dataframe" title="Link to this definition">¶</a></dt>
<dd><p>Loads a pandas DataFrame from an input file.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="plot.plot.main">
<span class="sig-prename descclassname"><span class="pre">plot.plot.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">args</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/plot/plot.html#main"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#plot.plot.main" title="Link to this definition">¶</a></dt>
<dd><p>Wrapper allowing <code class="xref py py-func docutils literal notranslate"><span class="pre">fib()</span></code> to be called with string arguments in a CLI fashion</p>
<p>Instead of returning the value from <code class="xref py py-func docutils literal notranslate"><span class="pre">fib()</span></code>, it prints the result to the
<code class="docutils literal notranslate"><span class="pre">stdout</span></code> in a nicely formatted message.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>args</strong> (<em>List</em><em>[</em><a class="reference external" href="https://docs.python.org/3.11/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a><em>]</em>) – command line parameters as list of strings
(for example  <code class="docutils literal notranslate"><span class="pre">[&quot;--verbose&quot;,</span> <span class="pre">&quot;42&quot;]</span></code>).</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="plot.plot.parse_args">
<span class="sig-prename descclassname"><span class="pre">plot.plot.</span></span><span class="sig-name descname"><span class="pre">parse_args</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">args</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/plot/plot.html#parse_args"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#plot.plot.parse_args" title="Link to this definition">¶</a></dt>
<dd><p>Parse command line parameters</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>args</strong> (<a class="reference external" href="https://docs.python.org/3.11/library/stdtypes.html#list" title="(in Python v3.11)"><em>list</em></a><em>[</em><a class="reference external" href="https://docs.python.org/3.11/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a><em>]</em>) – Command line arguments to be parsed.</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Command line parameters collected into a namespace.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3.11/library/argparse.html#argparse.Namespace" title="(in Python v3.11)">argparse.Namespace</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="plot.plot.run">
<span class="sig-prename descclassname"><span class="pre">plot.plot.</span></span><span class="sig-name descname"><span class="pre">run</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/plot/plot.html#run"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#plot.plot.run" title="Link to this definition">¶</a></dt>
<dd><p>Calls <a class="reference internal" href="#plot.plot.main" title="plot.plot.main"><code class="xref py py-func docutils literal notranslate"><span class="pre">main()</span></code></a> passing the CLI arguments extracted from <a class="reference external" href="https://docs.python.org/3.11/library/sys.html#sys.argv" title="(in Python v3.11)"><code class="xref py py-obj docutils literal notranslate"><span class="pre">sys.argv</span></code></a></p>
<p>This function can be used as entry point to create console scripts with setuptools.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="plot.plot.scatterplot">
<span class="sig-prename descclassname"><span class="pre">plot.plot.</span></span><span class="sig-name descname"><span class="pre">scatterplot</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">args</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/plot/plot.html#scatterplot"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#plot.plot.scatterplot" title="Link to this definition">¶</a></dt>
<dd><p>Generates a scatter plot and returns the resulting figure and axes for
further processing.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>args</strong> (<a class="reference external" href="https://docs.python.org/3.11/library/argparse.html#argparse.Namespace" title="(in Python v3.11)"><em>argparse.Namespace</em></a>) – Parsed command line parameters.</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p><strong>fig, axes</strong> – The plotted figure and</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>matplotlib.Figure, [matplotlib.Axes]</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="plot.plot.set_theme">
<span class="sig-prename descclassname"><span class="pre">plot.plot.</span></span><span class="sig-name descname"><span class="pre">set_theme</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">args</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/plot/plot.html#set_theme"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#plot.plot.set_theme" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="plot.plot.setup_logging">
<span class="sig-prename descclassname"><span class="pre">plot.plot.</span></span><span class="sig-name descname"><span class="pre">setup_logging</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">loglevel</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/plot/plot.html#setup_logging"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#plot.plot.setup_logging" title="Link to this definition">¶</a></dt>
<dd><p>Setup basic logging</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>loglevel</strong> (<a class="reference external" href="https://docs.python.org/3.11/library/functions.html#int" title="(in Python v3.11)"><em>int</em></a>) – minimum loglevel for emitting messages</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="plot.plot.write_figure">
<span class="sig-prename descclassname"><span class="pre">plot.plot.</span></span><span class="sig-name descname"><span class="pre">write_figure</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">fig</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">args</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/plot/plot.html#write_figure"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#plot.plot.write_figure" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

</section>
<section id="module-plot">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-plot" title="Link to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">plot</a></h1>








<h3>Navigation</h3>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../readme.html">plot</a></li>
<li class="toctree-l1"><a class="reference internal" href="../readme.html#docker">Docker</a></li>
<li class="toctree-l1"><a class="reference internal" href="../contributing.html">Contributions &amp; Help</a></li>
<li class="toctree-l1"><a class="reference internal" href="../license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="../changelog.html">Changelog</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">Module Reference</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">plot package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  <li><a href="modules.html">plot</a><ul>
      <li>Previous: <a href="modules.html" title="previous chapter">plot</a></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Branden Kappes.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/api/plot.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>